// Hole die Daten beim laden der Seite
window.addEventListener('load', getReadings);

//Datum und Zeitfunktion
function updateDateTime() {
  var currentdate = new Date(); 

  var b = currentdate.toTimeString();
  var a = b.substr(0, 8);
  var datetime =  currentdate.getDate() + "."
  + (currentdate.getMonth()+1)  + "." 
  + currentdate.getFullYear() + " um " + a;

 document.getElementById("update-time").innerHTML = datetime;

  console.log(datetime);
}

// Handle Top Navigation Bar
function handleNavBar() {
  var x = document.getElementById("myTopnav");
  if (x.className === "topnav") {
    x.className += " responsive";
  } 
  else {
    x.className = "topnav";
  }
}

// Hole die Daten für den ersten Start
function getReadings() {
  var xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      var myObj = JSON.parse(this.responseText);
      console.log(myObj);
      document.getElementById("pges").innerHTML = myObj.p_ges;      
      document.getElementById("wr1").innerHTML = myObj.wr_1;
      document.getElementById("wr2").innerHTML = myObj.wr_2;
      document.getElementById("wr3").innerHTML = myObj.wr_3;
      document.getElementById("wr4").innerHTML = myObj.wr_4;
      document.getElementById("wr5").innerHTML = myObj.wr_5;
      document.getElementById("pges").innerHTML = obj.p_ges;     
      document.getElementById("ertrtg").innerHTML = myObj.ertr_tg;
      document.getElementById("ertrvg").innerHTML = myObj.ertr_vg;

      updateDateTime();
    }
  };
  xhr.open("GET", "/readings", true);
  xhr.send();
}

// Eventbehandlung
if (!!window.EventSource) {
  var source = new EventSource('/events');

  source.addEventListener('open', function(e) {
    console.log("Events Connected");
  }, false);

  source.addEventListener('error', function(e) {
    if (e.target.readyState != EventSource.OPEN) {
      console.log("Events Disconnected");
    }
  }, false);

  source.addEventListener('new_readings', function(e) {
    console.log("new_readings", e.data);
    var obj = JSON.parse(e.data);
    document.getElementById("wr1").innerHTML = obj.wr_1;
    document.getElementById("wr2").innerHTML = obj.wr_2;
    document.getElementById("wr3").innerHTML = obj.wr_3;
    document.getElementById("wr4").innerHTML = obj.wr_4;
    document.getElementById("wr5").innerHTML = obj.wr_5;
    document.getElementById("pges").innerHTML = obj.p_ges;
    document.getElementById("ertrtg").innerHTML = obj.ertr_tg;
    document.getElementById("ertrvg").innerHTML = obj.ertr_vg;

    updateDateTime();
  }, false);

}
