// Hole die Werte wenn die Webseite geladen wird
window.addEventListener('load', getReadings);

// Hole die Werte beim 1. laden der Webseite
function getReadings(){
  var xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      var myObj = JSON.parse(this.responseText);
      console.log(myObj);
      document.getElementById("fest").innerHTML = myObj.feldst;
      document.getElementById("startzaehler").innerHTML = myObj.startz;
    }
  }; 
  xhr.open("GET", "/holdaten", true);
  xhr.send();
}

// Erstelle ein Ereignis und beobachte den Zugriff
if (!!window.EventSource) {
  var source = new EventSource('/zugriff');

  source.addEventListener('open', function(e) {
    console.log("Ereignis erstellt");
  }, false);

  source.addEventListener('error', function(e) {
    if (e.target.readyState != EventSource.OPEN) {
      console.log("Ereignis getrennt");
    }
  }, false);

  source.addEventListener('neuer_zugriff', function(e) {
    console.log("neuer_zugriff", e.data);
    var obj = JSON.parse(e.data);
    document.getElementById("fest").innerHTML = obj.feldst;
    document.getElementById("startzaehler").innerHTML = myObj.startz;
  }, false);
}